Attribute VB_Name = "DOC_Schnittstellen"
'KEIN Option Private Module
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   DOC_Schnittstellen
'   Das Modul ist die Schnittstelle zu Aufruf fr das Word-AddIns
' Effekt:
'   Siehe Modul DOC_Prozeduren
' Restriktionen:
'   Siehe Modul DOC_Prozeduren
' Entwicklung und Test:
'   Siehe Modul DOC_Prozeduren
' Copyright:
'   Das Copyright (C) 2001 an diesem Programm liegt beim Autor J.W.Schmitz-Hbsch. Sie knnen das
'   Programm unter den Bedingungen der GNU General Public License, wie von der Free Software
'   Foundation herausgegeben, weitergeben und/oder modifizieren, entweder unter Version 2 der Lizenz
'   oder (wenn Sie es wnschen) jeder spteren Version. Die Verffentlichung dieses Programms
'   erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE JEDE GEWHRLEISTUNG
'   - sogar ohne die implizite Gewhrleistung der MARKTREIFE oder der EIGNUNG FR EINEN BESTIMMTEN
'   ZWECK. Details finden Sie in der GNU General Public License auf der Gnu-Homepage unter
'   "http://org.gnu.de/copyleft/gpl.html".
' Historie:
'   10.10.2002  Erstellt fr Version 2.60
'   18.05.2004  Erweitert um Hinweis-Boxen beim Schlieen des Dokumentes
'   17.04.2006  AutoExec gendert

'===================================================================================================
'Aufruf des AddIn beim Start von Word
'===================================================================================================
Sub AutoExec()

    On Error GoTo Fehler_aufgetreten:

    'Wenn die Konfiguration fehlerhaft ist, muss in Word trotzdem fbVorlageAnpassen aufgerufen werden,
    'damit das menu PFD und der PDF-Button verschwindet.
    'If fbKonfiguration_lesen(sTASKNAME_WORD) = True Then
    '    Call fbVorlageAnpassen(False)
    'End If
    Call fbKonfiguration_lesen(sTASKNAME_WORD)
    Call fbVorlageAnpassen(False)
    
    Exit Sub
    
Fehler_aufgetreten:
    'Dies ist die einzige "aktivierte" Fehlerbehandlungsroutine in dieser Prozedur.
    'In allen aufgerufenen Prozeduren wird immer "On Error GoTo 0" kodiert.
    MsgBox fsText(sMSG_LAUFZEITFEHLER _
        , Application.Name & sSPACE & Application.VBE.Version _
        , ThisDocument.Name _
        , "AutoExec" _
        , Str(Err.Number) & sSPACE & Err.Description) _
        , vbExclamation, sTITEL_FEHLER

End Sub

Sub AutoClose()
    
    On Error GoTo Fehler_aufgetreten:
    
    If ActiveDocument.AttachedTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 1 aus DOC_Schnittstellen.AutoClose" _
            & " - " & ActiveDocument.AttachedTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        'ActiveDocument.AttachedTemplate.Save
        ActiveDocument.AttachedTemplate.Saved = True
    End If
    If NormalTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 2 aus DOC_Schnittstellen.AutoClose" _
            & " - " & NormalTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        NormalTemplate.Saved = True
    End If
    
    Exit Sub
        
Fehler_aufgetreten:
    'Dies ist die einzige "aktivierte" Fehlerbehandlungsroutine in dieser Prozedur.
    'In allen aufgerufenen Prozeduren wird immer "On Error GoTo 0" kodiert.
    MsgBox fsText(sMSG_LAUFZEITFEHLER _
        , Application.Name & sSPACE & Application.VBE.Version _
        , ThisDocument.Name _
        , "AutoClose" _
        , Str(Err.Number) & sSPACE & Err.Description) _
        , vbExclamation, sTITEL_FEHLER

End Sub

Private Sub Document_New()
    If ActiveDocument.AttachedTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 3 aus DOC_Schnittstellen.Document_New" _
            & " - " & ActiveDocument.AttachedTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        'ActiveDocument.AttachedTemplate.Save
        ActiveDocument.AttachedTemplate.Saved = True
    End If
    If NormalTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 4 aus DOC_Schnittstellen.Document_New" _
            & " - " & NormalTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        NormalTemplate.Saved = True
    End If
End Sub
Private Sub Document_Open()
    If ActiveDocument.AttachedTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 5 aus DOC_Schnittstellen.Document_Open" _
            & " - " & ActiveDocument.AttachedTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        'ActiveDocument.AttachedTemplate.Save
        ActiveDocument.AttachedTemplate.Saved = True
    End If
    If NormalTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 6 aus DOC_Schnittstellen.Document_Open" _
            & " - " & NormalTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        NormalTemplate.Saved = True
    End If
End Sub
Private Sub Document_Close()
    If ActiveDocument.AttachedTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 7 aus DOC_Schnittstellen.Document_Close" _
            & vbCr & ActiveDocument.AttachedTemplate.FullName & " wurde veraendert" _
            & vbCr & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        'ActiveDocument.AttachedTemplate.Save
        ActiveDocument.AttachedTemplate.Saved = True
    End If
    If NormalTemplate.Saved = False Then
        Call fbHinweisProtokollieren("Debug Hinweis 8 aus DOC_Schnittstellen.Document_Close" _
            & " - " & NormalTemplate.FullName & " wurde veraendert" _
            & " - " & "Die Datei wird nicht gespeichert aber als gespeichert gekennzeichnet")
        NormalTemplate.Saved = True
    End If
End Sub


Private Sub Dasdfasfocument_New()
On Error GoTo ErrHandler

Dim myAttr
Dim strDoc As String

' Bestimmen der Vorlage des neuen Dokumentes
strDoc = ActiveDocument.AttachedTemplate.Path & "\" & ActiveDocument.AttachedTemplate.Name
MsgBox "Document_New " & strDoc
' Prfen, ob Vorlage vorhanden, nur dann werden die "Saved"-Attribute verndert
If Len(Dir(strDoc)) > 0 Then

    ' Prfen, ob die Vorlage schreibgeschtzt ist.
    myAttr = GetAttr(strDoc) And vbReadOnly
    
    ' Wenn schreibgeschtzt, dann nur "Saved"-Attribut setzen
    If myAttr = vbReadOnly Then
        MsgBox "Document_New " & strDoc & " Schreibgeschtzt"
        ActiveDocument.AttachedTemplate.Saved = True
    Else
        ' Wenn nicht schreibgeschtzt, dann Prfen, ob "Saved"-Attribut gesetzt
        If Not ActiveDocument.AttachedTemplate.Saved = True Then
            MsgBox "Document_New " & strDoc & " Nicht Schreibgeschtzt aber verndert"
            ActiveDocument.AttachedTemplate.Save
            ActiveDocument.AttachedTemplate.Saved = True
        Else
            MsgBox "Document_New " & strDoc & " Nicht Schreibgeschtzt nicht verndert"
        End If
    End If
Else
    MsgBox "Document_New " & strDoc & " nicht vorhanden"

End If

ExitRoutine:
Exit Sub

ErrHandler:
Select Case Err.Number
Case Else
Call MsgBox(Err.Description, vbCritical, Err.Number)
End Select
Resume ExitRoutine

End Sub

Sub NormalTemplateNichtAendern()
    'Ab Version 2002 versucht Word die Vorlage Normal.dot zu speichern.
    'Die Prozedur sorgt dafr, dass die Normal.dot als schon gendert gibt,
    'wenn diese Instanz von Word beendet wird.
    'Nach einem Beitrag von b.lenssen aus www.ms-office-forum.net
    'Effekt
    '   Normal.dot wird nicht verndert, wenn Word beendet wird.
    
    Dim iDateiAttribute As Integer 'Attribute der Datei in sNormalDot
    Dim sNormalDot As String
    
    sNormalDot = NormalTemplate.FullName
    iDateiAttribute = GetAttr(sNormalDot)
    
    'Wenn die Normal.Dot schreibgeschtzt ist, dann nur "Saved"-Attribut setzen
    'Wenn die Normal.Dot nicht schreibgeschtzt ist, und das "Saved"-Attribut
    'nicht gesetzt ist, dann nur "Saved"-Attribut setzen
    If iDateiAttribute And vbReadOnly _
    Or NormalTemplate.Saved = False Then
        NormalTemplate.Saved = True
    End If

End Sub


'===================================================================================================
'Ende.
'===================================================================================================
