Attribute VB_Name = "MACH_Schnittstellen"
'KEIN Option Private Module
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   MACH_Schnittstellen
'   Das Modul ist die Schnittstelle zu Aufruf fr das Erzeugen aller AddIns
' Effekt:
'   Siehe Modul MACH_Prozeduren
' Restriktionen:
'   Siehe Modul MACH_Prozeduren
' Entwicklung und Test:
'   Siehe Modul MACH_Prozeduren
' Copyright:
'   Das Copyright (C) 2001 an diesem Programm liegt beim Autor J.W.Schmitz-Hbsch. Sie knnen das
'   Programm unter den Bedingungen der GNU General Public License, wie von der Free Software
'   Foundation herausgegeben, weitergeben und/oder modifizieren, entweder unter Version 2 der Lizenz
'   oder (wenn Sie es wnschen) jeder spteren Version. Die Verffentlichung dieses Programms
'   erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE JEDE GEWHRLEISTUNG
'   - sogar ohne die implizite Gewhrleistung der MARKTREIFE oder der EIGNUNG FR EINEN BESTIMMTEN
'   ZWECK. Details finden Sie in der GNU General Public License auf der Gnu-Homepage unter
'   "http://org.gnu.de/copyleft/gpl.html".
' Historie:
'   10.10.2002  Erweitet fr Version 2.60

'===================================================================================================
'Alle Aufrufe von MACH aus anderen Projekten
'===================================================================================================

Sub AlleAddInsErzeugen()
    'Die Funktion erzeugt alle Add-Ins aus den Sourcen mit allen Kommentaren
    'Sie wird vom Add-In Start_MakeAddIns.dot aufgerufen
    
    'Wenn das Add-In Start_MakeAddIns.dot neu erzeugt werden soll,
    ' - muss Start_MakeAddIns.dot unter einem anderen Namen kopiert werden,
    ' - muss die Kopie aufgerufen werden.
    
    Dim sTmpSprachSwitch As String
    
    On Error GoTo Fehler_aufgetreten:
    
    If fbInstallationPruefen = True Then
        gsSprachSwitch = sLEER
        INST_UF_Sprache.Show
        sTmpSprachSwitch = gsSprachSwitch
        
        If gsSprachSwitch <> sLEER Then
            gsInstVerzeichnis = ThisDocument.Path & Application.PathSeparator
            Call fbKonfiguration_lesen(sTASKNAME_WORD)
            'jetzt die Sprachtexte in der gewnschten Sprache erzeugen
            gsSprachSwitch = sTmpSprachSwitch
            Call fbSprachtexteErzeugen(gsSprachSwitch, ThisDocument.Path & Application.PathSeparator)
            gsSprachSwitch = fsSprachSwitch_konvertieren(gsSprachSwitch)
            'Verarbeitung
            Call fbAlleAddIns_erzeugen
        End If
    End If
    
    Application.Quit SaveChanges:=wdDoNotSaveChanges
    
    Exit Sub
    
Fehler_aufgetreten:
    'Dies ist die einzige "aktivierte" Fehlerbehandlungsroutine in dieser Prozedur.
    'In allen aufgerufenen Prozeduren wird immer "On Error GoTo 0" kodiert.
    MsgBox fsText(sMSG_LAUFZEITFEHLER _
        , Application.Name & sSPACE & Application.VBE.Version _
        , ThisDocument.Name _
        , "AlleAddInsErzeugen" _
        , Str(Err.Number) & sSPACE & Err.Description) _
        , vbExclamation, sTITEL_FEHLER
        
End Sub

'===================================================================================================
'Ende.
'===================================================================================================
