Attribute VB_Name = "MACH_Texte"
Option Private Module
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   MACH_Texte
'   Das Modul enthlt alle konstanten Texte zum Modul und den UserForms MACH_ fr alle Sprachen.
'   Alle Texte knnen mit Ersetzungszeichen versehen werden:
'       (&n)                                    Neue Zeile vbCr
'       (&t)                                    Tabulator vbTab
'       (&1) bis (&9)                           Parameter 1 bis 9 ohne mit Beschreibung
'       (&1=Beschreibung) bis (&9=Beschreibung) Parameter 1 bis 9 mit Beschreibung
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul MACH_Prozeduren
' Copyright:
'   Siehe Modul MACH_Prozeduren
' Historie:
'   10.10.2002  Erweitet fr Version 2.60

'Alle Texte die in allen Modulen verwendet werden
'------------------------------------------------
Public sTITEL_MACHEN As String
Rem de "Gs4Word erzeugen"
Rem en "Build Gs4Word"
Rem xx
    
'Alle Texte der Prozedur ALLEADDINSERZEUGEN
'------------------------------------------
Public sMSG_GS4WORDISTINSTALLIERT As String
Rem de "(&1=AddIn-Name) darf nicht installiert sein um alle AddIns zu erzeugen. Bitte deinstallieren Sie (&1=AddIn-Name) mit 'Start_DialogDeinstallation.dot' oder 'Start_AutoDeinstallation.dot'."
Rem en "(&1=AddIn-Name) must not be installed to create all the Add-ins. Please deinstall (&1=AddIn-Name) by using 'Start_DialogDeinstallation.dot' or 'Start_AutoDeinstallation.dot'."
Rem xx
Public sMSG_KEINEKOPIEDESINSTADDIN As String
Rem de "Das Installations-Add-In heit '(&1=AddIn-Name)'. Damit werden alle Add-Ins erzeugt. Es muss temporr einen anderen Namen haben. Es kann sich nicht selbst erzeugen."
Rem en "The installation Add-in is called '(&1)'. Use it to build all other Add-Ins. It must temporarily be given a different name. It cannot build itself."
Rem xx
Public sALLEADDINSERZEUGT_MIT As String
Rem de "Alle Add-Ins wurden fehlerfrei gesichert und aus den Souren neu erzeugt. Sie enthalten alle Kommentare und knnen zur Weiterentwicklung verwendet werden. Durch die Kommentare sind sie grer als erforderlich.(&n)ACHTUNG: Manchmal zeigt das so erzeugte Word-Add-In in Office 97 den PDF-Button nicht automatisch an. Dann mssen Sie das Add-In im Installationsverzeichnis einmal ffnen, im VBA-Editor eine nderung an einem Kommentar vornehmen und das Add-In speichern. Danach wiederholen Sie die Installation.(&n)(&n)Wenn Sie die Add-Ins in ihrer kompakten Form ohne Kommentare installieren wollen, mssen Sie die Add-Ins entweder so erzeugen oder Sie aktivieren bei der Installation von Gs4Word auf der Karteikartei 'Add-Ins erzeugen' alle Kontrollkstchen. Das oben genannte Problem tritt bei diesen Add-Ins nicht auf."
'20021130_062953' Rem en "GOOGLE: All Add-in were produced error free secured and from the Souren again.  They contain all comments and can for the advancement be used.  By the comments they are larger than necessary.(&n)NOTE:  Sometimes does not indicate in such a way produced Word Add-in in Office 97 to the Pdf Button automatically. Then you must open the Add-in in the installation listing once, make in the VBA editor a change at a comment and store the Add-in. Afterwards you repeat the installation.(&n)(&n)If you Add-in in their compact form without comments to install want either in such a way produce, must you Add-in or you activate with the installation of Gs4Word on the card index card index 'Add-in to produce' the all control small box. The problem specified above does not arise with these Add-in."
Rem en "All add-in were produced without errors from the source. They contain all comments and may be used for development. The comments make the files larger than necessary.(&n)NOTE: Sometimes the PDF button does not automatically show in the Word add-in in for Office 97. Then you must open the add-in in the installation directory, use the VBA editor to change a comment and save the file. Afterwards repeat the installation.(&n)(&n)If your add-in is in compact form without comments then you need to rebuild the add-ins or select to build all add-ins during installation in the dialog 'Build Add-ins'. This problem does not arise with these newly built add-ins."
Rem xx
Public sALLEADDINSERZEUGT_OHNE As String
Rem de "Alle Add-Ins wurden fehlerfrei gesichert und aus den Souren neu erzeugt. Sie enthalten keine Kommentare und knnen nicht zur Weiterentwicklung verwendet werden."
'20021130_062953' Rem en "GOOGLE: All Add-in were produced error free secured and from the Souren again. They contain no comments and cannot not for the advancement be used."
Rem en "All add-ins were built without errors. They contain no comments and cannot be used for development."
Rem xx
Public sALLEADDINSERZEUGT_TRACE As String
Rem de "Alle Add-Ins wurden fehlerfrei gesichert und aus den Souren neu erzeugt. Sie wurden um die Protokollierung jeder Programmzeile erweitert. Sie enthalten keine Kommentare und knnen nicht zur Weiterentwicklung verwendet werden."
'20021130_062953' Rem en "GOOGLE: All Add-in were produced error free secured and from the Souren again.  They were extended by the logging of each program line. They contain no comments and cannot not for the advancement be used."
Rem en "All add-ins were built without errors. They were built with debug mode turned on in order to log execution. They contain no comments and cannot not be used for development."
Rem xx
Public sSOURCEN_MITKOMMENTAR As String
Rem de "Original-Soucen (mit Kommentaren) verwenden"
'20021130_062953' Rem en "GOOGLE: Original Soucen (with comments) use "
Rem en "Use original source (with comments)"
Rem xx
Public sSOURCEN_OHNEKOMMENTAR_OHNETRACE As String
Rem de "Sourcen ohne Kommentare verwenden"
'20021130_062953' Rem en "GOOGLE: Sourcen without comments use "
Rem en "Use sourc without comments"
Rem xx
Public sSOURCEN_OHNEKOMMENTAR_MITTRACE As String
Rem de "Testmodus zur Fehlersuche mit Protokollierung"
'20021130_062953' Rem en "GOOGLE: Test mode to the error tracing with logging "
Rem en "Debug mode with error tracing and logging"
Rem xx

'Alle Texte der Funktion fbInstfbInstallationsdateienPruefen
'-----------------------------------------------------------
Public sMSG_DATEIFEHLT As String
Rem de "Gs4Word ist unvollstndig. Es fehlt mindestens die Datei '(&1=Dateiname)'. Verschaffen Sie sich bitte eine vollstndige Version des Programms und versuchen Sie es damit erneut."
Rem en "Gs4Word is incomplete. At least one file (&1) is missing. Please try again with a complete version of the program."
Rem xx
Public sMSG_VERZEICHNISFEHLT As String
Rem de "Gs4Word ist unvollstndig. Es fehlt mindestens das Verzeichnis '(&1=Verzeichnis)'. Verschaffen Sie sich bitte eine vollstndige Version des Programms und versuchen Sie es damit erneut."
Rem en "Gs4Word is incomplete. At least one directory (&1) is missing. Please try again with a complete version of the program."
Rem xx

'Alle Texte der Funktionen fbStartAddInsErzeugenfbInstallationAddInErzeugen,
'fbKonfigurationAddInErzeugen, fbWordAddInErzeugen und fbUebersetzungDokumentErzeugen
'------------------------------------------------------------------------------------
Public sMSG_SOURCEFEHLT As String
Rem de "Gs4Word ist unvollstndig. Es fehlt mindestens die Sourcedatei '(&1=Dateiname)'. Verschaffen Sie sich bitte eine vollstndige Version des Programms und versuchen Sie es damit erneut."
Rem en "Gs4Word is incomplete. At least one source file (&1) is missing. Please try again with a complete version of the program."
Rem xx
Public sMSG_KEINEWEITEREVERBINDUNGZUWORD As String
Rem de "Es konnte keine weitere Word-Instanz erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Rem en "Could not open another instance of Word.(&n)Please note the error message and contact the author."
Rem xx
Public sMSG_WORDSOURCENICHTLADBAR As String
Rem de "Das Word-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Aktivieren Sie fr die Zeit der Installation im Word-Men 'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen 'Zugriff auf Visual-Basic-Projekt vertrauen' und versuchen Sie es erneut. (&n)Wenn das nicht funktioniert, wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: The Word Add-in could not be produced on your computer.(&n)For the time of the installation in the Word menu 'extra > macro > security > trustworthy one sources' the control small box 'access to Visual basic project' and try you trust activating you it again.(&n)If functioned, you do not contact that the author. "
Rem en "The Word add-in could not be built on your computer.(&n)During the installation you should use the Word menu 'Tools > Macro > Security > Trusted sources' the checkbox 'Access to Visual Basic project' and try again.(&n)If it does not work contact the author."
Rem xx
Public sMSG_STARTADDINNICHTERZEUGT As String
Rem de "Das Start-Add-In '(&1=Add-In-Name)' konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Rem en "The start add-in '(&1)'could not be built on your computer.(&n)Please note the error message and contact the author."
Rem xx
Public sMSG_INSTALLATIONSADDINNICHTERZEUGT As String
Rem de "Das Installations-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: The installation Add-in could not be produced on your computer.(&n)You note and contact please the error message you the author."
Rem en "The installation add-in could not be built on your computer.(&n)Please note the error message and contact the author."
Rem xx
Public sMSG_KONFIGADDINNICHTERZEUGT As String
Rem de "Das Konfigurations-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: The configuration Add-in could not be produced on your computer.(&n)You note and contact please the error message you the author."
Rem en "The configuration add-in could not be built on your computer.(&n)Please note the error message and contact the author."
Rem xx
Public sMSG_WORDADDINNICHTERZEUGT As String
Rem de "Das Word-Add-In konnte auf Ihrem Rechner auf nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: GOOGLE: The Word Add-in could not be produced on your computer.(&n)You note and contact please the error message you the author "
Rem en "The Word add-in could not be built on your computer.(&n)Please note the error message and contact the author."
Rem xx
Public sMSG_UEBERSETZUNGDOKUMENTNICHTERZEUGT As String
Rem de "Das bersetzungs-Dokument konnte auf Ihrem Rechner auf nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: The translation document could not be produced on your computer on.(&n)You note and contact please the error message you the author."
Rem en "The translation document could not be built on your computer.(&n) Please note the error message and contact the author."
Rem xx
    
'Alle Texte der Funktion fbExcelAddInErzeugen
'--------------------------------------------
Public sMSG_KEINEVERBINDUNGZUEXCEL As String
Rem de "Es konnte keine Verbindung zu Excel aufgenommen werden.(&n)Ist Excel auf Ihrem Rechner installiert?"
'20021126_231314' Rem en "Cannot connect to Excel.(&n) Is Excel installed on your computer? "
Rem en "Cannot connect to Excel.(&n) Is Excel installed on your computer?"
Rem xx
Public sMSG_EXCELSOURCENICHTLADBAR As String
Rem de "Das Excel-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Aktivieren Sie fr die Zeit der Installation im Excel-Men 'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen 'Zugriff auf Visual-Basic-Projekt vertrauen' und versuchen Sie es erneut. (&n)Wenn das nicht funktioniert, wenden Sie sich an den Autor."
'20021130_062953' Rem en "GOOGLE: The Excel Add-in could not be produced on your computer.(&n)for the time of the installation in the Excel menu ' extra > macro > security > trustworthy one sources ' the control small box 'access to Visual basic project' and try you trust activating you it again.(&n)If functioned you do not contact that the author."
Rem en "The Excel add-in could not be built on your computer.(&n)During the installation you should use the Excel menu 'Tools > Macro > Security > Trusted sources' the checkbox 'Access to Visual Basic project' and try again.(&n)If it does not work contact the author."
Rem xx
Public sMSG_EXCELADDINNICHTERZEUGT As String
Rem de "Das Excel-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Rem en "The Excel Add-in could not be built.(&n)Note the error message and contact the author."
Rem xx
    
'Alle Texte der Funktion fbPowerpointAddInErzeugen
'-------------------------------------------------
Public sMSG_KEINEVERBINDUNGZUPOWERPOINT As String
Rem de "Es konnte keine Verbindung zu Powerpoint aufgenommen werden.(&n)Ist Powerpoint auf Ihrem Rechner installiert?"
Rem en "Cannot connect to PowerPoint.(&n)Is PowerPoint installed on your computer?"
Rem xx
Public sMSG_POWERPOINTSOURCENICHTLADBAR As String
Rem de "Das Powerpoint-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Aktivieren Sie fr die Zeit der Installation im Word- und im Powerpoint-Men 'Extras > Makro >Sicherheit > Vertrauenswrdige Quellen' das Kontrollkstchen 'Zugriff auf Visual-Basic-Projekt vertrauen' und versuchen Sie es erneut. (&n)Wenn das nicht funktioniert, wenden Sie sich an den Autor."
Rem en "The PowerPoint Add-in could not be built.(&n)For the time of the installation, use the Word menu and the PowerPoint menu 'Tools > Macro > Security > Trusted Sources'  to activate the checkbox 'Trust all installed macros and templates and try again.(&n)If that doesnt help please contact the author."
Rem xx
Public sMSG_POWERPOINTADDINNICHTERZEUGT As String
Rem de "Das Powerpoint-Add-In konnte auf Ihrem Rechner nicht erzeugt werden.(&n)Bitte notieren Sie die Fehlermeldung und wenden Sie sich an den Autor."
Rem en "The PowerPoint Add-in could not be built.(&n)Note the error message and contact the author."
Rem xx

'Alle Texte der Funktion fbSprachtexte_ermitteln
'-------------------------------------------------
Public sMSG_KEINETEXTE As String
Rem de "Die Source (&1=Dateiname) enthlt keine Texte"
Rem en "The source file (&1) is empty"
Rem xx
Public sMSG_FEHLERHAFTESPRACHTEXTE As String
Rem de "Die Source (&1=Dateiname) enthlt Fehler:(&n)(&2=Liste der Fehler)"
Rem en "The source file (&1) has errors:(&n)(&2)"
Rem xx
    
'Alle Texte der UserForm MACH_UserForm
'-------------------------------------
Public sCAPTION_LABELMACHENTEXT As String
Rem de "Dieses Add-In erzeugt alle Add-Ins neu"
Rem en "This Add-in rebuilds all Add-ins"
Rem xx
Public sSOURCENSPRACHENKOMBI As String
Rem de "Bei der Einstellung '(&1=Text fr sSOURCEN_MITKOMMENTAR)' ist als Sprache nur '(&2=Text fr sSPRACHSWITCH_ALLESPRACHEN)' erlaubt."
'20021130_062953' Rem en "GOOGLE: During the attitude '(&1)' is permitted as language only '(&2)'."
Rem en "For the setting '(&1)' only the language '(&2)' is allowed."
Rem xx
Public sSPRACHSWITCH_ALLESPRACHEN As String
Rem de "alle Sprachen"
Rem en "all languages"
Rem xx

Function fbMACH_SprachtexteErzeugen(sSprachcode As String, sInstVerzeichnis As String) As Boolean
'Dieser Code fr alle Sprachen wurde generiert. Er wird bei der nchsten Generierung wieder berschrieben.
Dim iDateinummer As Integer
iDateinummer = FreeFile
Open sInstVerzeichnis & sKONFIGDIR & sSprachcode & sTXT For Input Access Read Shared As #iDateinummer
Dim lZaehler As Long
Dim sZeile As String
For lZaehler = 1 To 571
Line Input #iDateinummer, sZeile
Next lZaehler
Line Input #iDateinummer, sTITEL_MACHEN
Line Input #iDateinummer, sMSG_GS4WORDISTINSTALLIERT
Line Input #iDateinummer, sMSG_KEINEKOPIEDESINSTADDIN
Line Input #iDateinummer, sALLEADDINSERZEUGT_MIT
Line Input #iDateinummer, sALLEADDINSERZEUGT_OHNE
Line Input #iDateinummer, sALLEADDINSERZEUGT_TRACE
Line Input #iDateinummer, sSOURCEN_MITKOMMENTAR
Line Input #iDateinummer, sSOURCEN_OHNEKOMMENTAR_OHNETRACE
Line Input #iDateinummer, sSOURCEN_OHNEKOMMENTAR_MITTRACE
Line Input #iDateinummer, sMSG_DATEIFEHLT
Line Input #iDateinummer, sMSG_VERZEICHNISFEHLT
Line Input #iDateinummer, sMSG_SOURCEFEHLT
Line Input #iDateinummer, sMSG_KEINEWEITEREVERBINDUNGZUWORD
Line Input #iDateinummer, sMSG_WORDSOURCENICHTLADBAR
Line Input #iDateinummer, sMSG_STARTADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_INSTALLATIONSADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_KONFIGADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_WORDADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_UEBERSETZUNGDOKUMENTNICHTERZEUGT
Line Input #iDateinummer, sMSG_KEINEVERBINDUNGZUEXCEL
Line Input #iDateinummer, sMSG_EXCELSOURCENICHTLADBAR
Line Input #iDateinummer, sMSG_EXCELADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_KEINEVERBINDUNGZUPOWERPOINT
Line Input #iDateinummer, sMSG_POWERPOINTSOURCENICHTLADBAR
Line Input #iDateinummer, sMSG_POWERPOINTADDINNICHTERZEUGT
Line Input #iDateinummer, sMSG_KEINETEXTE
Line Input #iDateinummer, sMSG_FEHLERHAFTESPRACHTEXTE
Line Input #iDateinummer, sCAPTION_LABELMACHENTEXT
Line Input #iDateinummer, sSOURCENSPRACHENKOMBI
Line Input #iDateinummer, sSPRACHSWITCH_ALLESPRACHEN
Close #iDateinummer
fbMACH_SprachtexteErzeugen = True
End Function
