Attribute VB_Name = "Modul1"
Sub x()
Call fiAnzahlInstanzen_ermitteln(sTASKNAME_EXCEL)

Dim i As Integer
For i = 1 To 30
Call fiAnzahlInstanzen_ermitteln(sTASKNAME_WORD)
fbWarten (1)
Next i
End Sub
Function fiAnzahlInstanzen_ermitteln(sTaskName As String) As Integer
    'Die Funktion ermittel, wie viele Instranen des Programms aus sTaskname laufen.
    'Global:
    '   Application.Tasks wird gelesen
    '   Application.Name wird gelesen
    'Rckgabewert:
    '   Anzahl der laufenden Instanzen.
    
    Dim oEinTask As Object
    Dim iFehlerNummer As Integer
    Dim sDokumentWindowCaption As String
    
    sDokumentWindowCaption = ActiveDocument.ActiveWindow.Caption
    fiAnzahlInstanzen_ermitteln = 0
    For Each oEinTask In Application.Tasks
        If UCase(Left(oEinTask.Name, Len(sTaskName))) = UCase(sTaskName) Or UCase(Right(oEinTask.Name, Len(sTaskName))) = UCase(sTaskName) Then
            'Patch fr Microsoft Excel 2000 (= Version 9.0) und Windows 2000 (= Version 5.0)
            'Patch fr Microsoft Word 2003 (= Version 11.0) und Windows XP (= Version 5.1) (auf Verdacht nach einer Mail vom 20.05.2005)
            'Hier gibt es mit EXCEL unter Windows 2000 / Office 2000 und Windows 98 /Office 2002
            'einen Fehler:
            'Auch eine Excel-Instanz, die schon aus dem Speicher entfernt wurde,
            'wird hier angezeigt. Dass es eine "Geister-Task" ist, findet man heraus,
            'indem man zustzlich abfragt, ob die Task gltig ist.!
            'Die Abfrage IsObjectValid(oEinTask) allein reicht nicht aus. Die Geister-Task wird
            'als Tasks erkannt, die Funktion IsObjectValid(oEinTask) liefert True, ausser, man
            'zeigt zuvor eine MsgBox an (!!!) oder aktiviert die Task. Nur dann merkt VBA, dass
            'die Task nicht existiert und - oh Wunder - IsObjectValid(oEinTask) meldet False.
            'Siehe fbExcel_installieren
            'Der Fehler ist unter Windows 2000 und Office 2000 reproduzierbar.
            'Er tritt in der Kombination Windows NT / Office 2000 nicht auf.
            'Da unsicher ist, ob er in anderen Windows- / Office-Kombinationen auch auftritt,
            'wird der Patch generell aktiviert.
            On Error Resume Next
            oEinTask.Activate
            iFehlerNummer = Err.Number 'Wenn Err.Number <> 0 ist, dann handelt es sich um eine Geitsre-Task
            On Error GoTo 0
            If IsObjectValid(oEinTask) = True _
            And iFehlerNummer = 0 Then
                fiAnzahlInstanzen_ermitteln = fiAnzahlInstanzen_ermitteln + 1
            End If
        End If
    Next oEinTask
    
    Application.Activate 'Aktiviert die Anwendung, dh. Microsoft Word
    Windows(sDokumentWindowCaption).Activate
End Function

    


