Attribute VB_Name = "PPT_Texte"
Option Private Module
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   "PPT_Texte
'   Das Modul enthlt alle konstanten Texte zum Modul PPT_ fr alle Sprachen.
'   Alle Texte knnen mit Ersetzungszeichen versehen werden:
'       (&n)            Neue Zeile vbCr
'       (&t)            Tabulator vbTab
'       (&1) bis (&9)   Parameter 1 bis 9
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul PPT_Prozeduren
' Copyright:
'   Siehe Modul PPT_Prozeduren
' Historie:
'   Siehe Modul PPT_Prozeduren

'Alle Texte der Prozedur fbVorlageAnpassen
'-----------------------------------------
Public sVORLAGE_BUTTON_CAPTION As String
Rem de "PDF"
Rem en "PDF"
Rem xx
Public sVORLAGE_BUTTON_TOOLTIPTEXT As String
Rem de "PDF-Datei erzeugen"
Rem en "PDF file conversion"
Rem xx
Public sVORLAGE_MENU_CAPTION As String
Rem de "&PDF"
Rem en "&PDF"
Rem xx
Public sVORLAGE_MENU_ERZEUGEN_CAPTION As String
Rem de "&Erzeugen"
Rem en "&Convert"
Rem xx
Public sVORLAGE_MENU_INFO_CAPTION As String
Rem de "&Info"
Rem en "&About"
Rem xx
Public sVORLAGE_MENU_KONFIGURIEREN_CAPTION As String
Rem de "&Konfigurieren..."
Rem en "Configure..."
Rem xx
Public sVORLAGE_MENU_DOKUMENTATION_CAPTION As String
Rem de "&Dokumentation"
Rem en "&Dokumentation"
Rem xx
Public sVORLAGE_MENU_MAILTO_CAPTION As String
Rem de "&Mailen"
Rem en "&Mail"
Rem xx
Public sTITEL_VORLAGEANPASSEN As String
Rem de "Gs4Word"
Rem en "Gs4Word"
Rem xx

'Alle Texte der Subroutine ERZEUGEN
'----------------------------------
Public sMSG_KONFIGUNVOLLSTAENDIG As String
Rem de "Die Konfiguration von Gs4Word ist unvollstndig.(&n)Konfigurieren Sie Gs4Word im Men 'PDF > Konfigurieren'(&n)und besttigen Sie die Konfiguration dort mit 'OK'."
Rem en "The configuration of Gs4Word is incomplete.(&n)Configure Gs4Word in the menu 'PDF > Configure'(&n)Confirm the configuration with 'OK'."
Rem xx

'Texte der Subroutinen fbPSDatei_erzeugen und fsBasisDateiName_ermitteln
'-----------------------------------------------------------------------
Public sMSG_KEINEFOLIEAUSGEWAEHLT As String
Rem de "Sie haben keine Folie markiert.(&n)Fr diese Auswahl mssen Sie mindestens eine Folie markieren.(&n)Danach knnen Sie die PDF-Datei erzeugen."
Rem en "You haven't selected any slides.(&n)You must select at least one slide.(&n)Then you may create the PDF file."
Rem xx
Public sMSG_TYPESWITCHUNBEKANNT As String
Rem de "Das Ausgabeelement '(&1=Name des Ausgabeelementes)' ist unbekannt.(&n)ndern Sie das Ausgabeelement im Men 'PDF > Konfigurieren'.(&n)Danach knnen Sie die PDF-Datei erzeugen."
Rem en "The output element '(&1)' is unknown.(&n)Change the output element in the menu 'PDF > Configure'.(&n)Then you may create the PDF file."
Rem xx
Public sMSG_PRINTSWITCHUNBEKANNT As String
Rem de "Der Ausgabeumfang ist unbekannt.(&n)ndern Sie den Ausgabeumfang im Men 'PDF > Konfigurieren'.(&n)Danach knnen Sie die PDF-Datei erzeugen."
Rem en "The output extent is unknown.(&n)Change the output extent in the menu 'PDF > Configure'.(&n)Then you may create the PDF file."
Rem xx

'Alle Texte der Subroutine fsBasisDateiName_ermitteln
'----------------------------------------------------
Public sMSG_PPANSICHTNICHTVERWENDBAR As String
Rem de "Aus dieser Ansicht kann keine Postscript-Datei erzeugt werden.(&n)Whlen Sie die Ansicht Folie, Gliederung, Foliensortierung oder Notizen und versuchen Sie es erneut."
Rem en "Without this setting no Postscript file can be produced.(&n)Select the current slide, arrangement, slide assortment or notes and try again."
Rem xx
Public sNAMENSZUSATZ_FOLIEN As String
Rem de "_Folien"
Rem en "_Slides"
Rem xx
Public sNAMENSZUSATZ_NOTIZEN As String
Rem de "_Notizen"
Rem en "_Notes"
Rem xx
Public sNAMENSZUSATZ_GLIEDERUNG As String
Rem de "_Gliederung"
Rem en "_Arrangement"
Rem xx
Public sNAMENSZUSATZ_HANDZETTEL As String
Rem de "_Handzettel"
Rem en "_Handbills"
Rem xx
Public sNAMENSZUSATZ_HANDZETTEL2 As String
Rem de "_Handzettel2x"
Rem en "_Handout2x"
Rem xx
Public sNAMENSZUSATZ_HANDZETTEL3 As String
Rem de "_Handzettel3x"
Rem en "_Handout3x"
Rem xx
Public sNAMENSZUSATZ_HANDZETTEL6 As String
Rem de "_Handzettel6x"
Rem en "_Handout6x"
Rem xx

'Alle Texte der Funktion fbOfficeDatei_gespeichert
'-------------------------------------------------
Public sMSG_OFFICEDATEINICHTGESPEICHERT As String
Rem de "Die Prsentation '(&1=Dateiname)' ist nicht gespeichert.(&n)Speichern Sie die Prsentation und versuchen Sie es erneut."
Rem en "The presentation '(&1)' has not been saved.(&n)Save the presentation and try again."
Rem xx
Public sMSG_KEINEOFFICEDATEI As String
Rem de "Es ist keine Prsentation geffnet.(&n)ffnen Sie eine Prsentation und versuchen Sie es erneut."
Rem en "There is no presentation open.(&n)Open a presentation and try again."
Rem xx

'Alle Texte der Funktion fbPSDatei_erzeugen
'------------------------------------------
Public sMSG_PSDATEIMITKOMMA As String
Rem de "Die Postscript-Datei '(&1=Dateiname)' konnte nicht erzeugt werden oder sie ist leer.(&n)Bei einigen Microsoft-Betriebssystemen darf das Verzeichnis und der Dateiname kein Komma enthalten. Versuchen Sie es erneut mit einem Verzeichnis- und Dateinamen ohne Komma."
Rem en "The Postscript file '(&1)' could not be created or it is empty.(&n)On some Microsoft operating systems the directory and file name may not contain commas. Try again without commas in the directory and file name."
Rem xx
Public sMSG_PSDATEINICHTERZEUGT As String
Rem de "Die Postscript-Datei '(&1=Dateiname)' konnte nicht erzeugt werden oder sie ist leer.(&n)Prfen Sie, ob der Drucker '(&2)' ein Postscript-Drucker ist und ob er richtig eingerichtet ist. "
Rem en "The Postscript file '(&1)' could not be created or it is empty.(&n)Check whether the printer '(&2)' is a Postscript printer and whether it is correctly configured."
Rem xx
Public sMSG_PSDRUCKERUNBEKANNT As String
Rem de "Der Drucker '(&1=Druckername)' ist unbekannt.(&n)ndern Sie den Postscript-Drucker im Men 'PDF > Konfigurieren'.(&n)Danach knnen Sie die PDF-Datei erzeugen."
Rem en "The printer '(&1)' is unknown.(&n)Change the Postscript printer in the menu 'PDF > Configure'.(&n)Then you can create the PDF file."
Rem xx
    

Function fbPPT_SprachtexteErzeugen(sSprachcode As String, sInstVerzeichnis As String) As Boolean
'Dieser Code fr alle Sprachen wurde generiert. Er wird bei der nchsten Generierung wieder berschrieben.
Dim iDateinummer As Integer
iDateinummer = FreeFile
Open sInstVerzeichnis & sKONFIGDIR & sSprachcode & sTXT For Input Access Read Shared As #iDateinummer
Dim lZaehler As Long
Dim sZeile As String
For lZaehler = 1 To 171
Line Input #iDateinummer, sZeile
Next lZaehler
Line Input #iDateinummer, sVORLAGE_BUTTON_CAPTION
Line Input #iDateinummer, sVORLAGE_BUTTON_TOOLTIPTEXT
Line Input #iDateinummer, sVORLAGE_MENU_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_ERZEUGEN_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_INFO_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_KONFIGURIEREN_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_DOKUMENTATION_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_MAILTO_CAPTION
Line Input #iDateinummer, sTITEL_VORLAGEANPASSEN
Line Input #iDateinummer, sMSG_KONFIGUNVOLLSTAENDIG
Line Input #iDateinummer, sMSG_KEINEFOLIEAUSGEWAEHLT
Line Input #iDateinummer, sMSG_TYPESWITCHUNBEKANNT
Line Input #iDateinummer, sMSG_PRINTSWITCHUNBEKANNT
Line Input #iDateinummer, sMSG_PPANSICHTNICHTVERWENDBAR
Line Input #iDateinummer, sNAMENSZUSATZ_FOLIEN
Line Input #iDateinummer, sNAMENSZUSATZ_NOTIZEN
Line Input #iDateinummer, sNAMENSZUSATZ_GLIEDERUNG
Line Input #iDateinummer, sNAMENSZUSATZ_HANDZETTEL
Line Input #iDateinummer, sNAMENSZUSATZ_HANDZETTEL2
Line Input #iDateinummer, sNAMENSZUSATZ_HANDZETTEL3
Line Input #iDateinummer, sNAMENSZUSATZ_HANDZETTEL6
Line Input #iDateinummer, sMSG_OFFICEDATEINICHTGESPEICHERT
Line Input #iDateinummer, sMSG_KEINEOFFICEDATEI
Line Input #iDateinummer, sMSG_PSDATEIMITKOMMA
Line Input #iDateinummer, sMSG_PSDATEINICHTERZEUGT
Line Input #iDateinummer, sMSG_PSDRUCKERUNBEKANNT
Close #iDateinummer
fbPPT_SprachtexteErzeugen = True
End Function
