Attribute VB_Name = "XLS_Texte"
Option Private Module
Option Explicit
'........1.........2.........3.........4.........5.........6.........7.........8.........9.........0
' Projekt:
'   Gs4Word - Ghostscript fr Microsoft Word, Excel und Powerpoint
' Modul:
'   XLS_Texte
'   Das Modul enthlt alle konstanten Texte zum Modul XLS_ fr alle Sprachen.
'   Alle Texte knnen mit Ersetzungszeichen versehen werden:
'       (&n)            Neue Zeile vbCr
'       (&t)            Tabulator vbTab
'       (&1) bis (&9)   Parameter 1 bis 9
' Restriktionen:
'   Keine
' Entwicklung und Test:
'   Siehe Modul XLS_Prozeduren
' Copyright:
'   Siehe Modul XLS_Prozeduren
' Historie:
'   Siehe Modul XLS_Prozeduren

'Alle Texte der Prozedur fbVorlageAnpassen
'-----------------------------------------
Public sVORLAGE_BUTTON_CAPTION As String
Rem de "PDF"
Rem en "PDF"
Rem xx
Public sVORLAGE_BUTTON_TOOLTIPTEXT As String
Rem de "PDF-Datei erzeugen"
Rem en "PDF file conversion"
Rem xx
Public sVORLAGE_MENU_CAPTION As String
Rem de "&PDF"
Rem en "&PDF"
Rem xx
Public sVORLAGE_MENU_ERZEUGEN_CAPTION As String
Rem de "&Erzeugen"
Rem en "&Convert"
Rem xx
Public sVORLAGE_MENU_INFO_CAPTION As String
Rem de "&Info"
Rem en "&About"
Rem xx
Public sVORLAGE_MENU_KONFIGURIEREN_CAPTION As String
Rem de "&Konfigurieren..."
Rem en "Configure..."
Rem xx
Public sVORLAGE_MENU_DOKUMENTATION_CAPTION As String
Rem de "&Dokumentation"
Rem en "&Dokumentation"
Rem xx
Public sVORLAGE_MENU_MAILTO_CAPTION As String
Rem de "&Mailen"
Rem en "&Mail"
Rem xx
Public sTITEL_VORLAGEANPASSEN As String
Rem de "Gs4Word"
Rem en "Gs4Word"
Rem xx

'Alle Texte der Funktion ERZEUGEN
'--------------------------------
Public sMSG_KONFIGUNVOLLSTAENDIG As String
Rem de "Die Konfiguration von Gs4Word ist unvollstndig.(&n)Konfigurieren Sie Gs4Word im Men 'PDF > Konfigurieren'(&n)und besttigen Sie die Konfiguration dort mit 'OK'."
Rem en "The configuration of Gs4Word is incomplete.(&n)Configure Gs4Word in the menu 'PDF > Configure'(&n)Confirm the configuration with 'OK'."
Rem xx

'Alle Texte der Funktion fbOfficeDatei_gespeichert
'-------------------------------------------------
Public sMSG_OFFICEDATEINICHTGESPEICHERT As String
Rem de "Die Arbeitsmappe '(&1=Dateiname)' ist nicht gespeichert.(&n)Speichern Sie die Arbeitsmappe und versuchen Sie es erneut."
Rem en "The workbook '(&1)' has not been saved.(&n)Save the workbook and try again."
Rem xx
Public sMSG_KEINEOFFICEDATEI As String
Rem de "Es ist keine Arbeitsmappe geffnet.(&n)ffnen Sie eine Arbeitsmappe und versuchen Sie es erneut."
Rem en "There is no open workbook.(&n)Open a workbook and try again."
Rem xx
Public sMSG_EXCELTABELLEISTLEER As String
Rem de "Die aktuelle Tabelle ist leer oder enthlt nur Grafiken.(&n)Whlen Sie eine nicht leere Tabelle und versuchen Sie es erneut.(&n)(&n)(Anmerkung des Autors: Wenn die Tabelle nicht leer ist, teilen Sie(&n)es mir bitte mit, denn das wre ein Programmfehler)"
Rem en "The current worksheet is empty on contains only pictures.(&n)Select a non-empty dworksheet and try again.(&n)(&n)(Author's comment:  If the worksheet is not empty,(&n)please let me know because that would be a program error)"
Rem xx
Public sMSG_EXCELTABELLEWAHRSCHEINLICHLEER As String
Rem de "Die ersten 256 Zeilen und Spalten der aktuellen Tabelle sind leer.(&n)Wollen Sie trotzdem eine PDF-Datei erzeugen?(&n)Whlen Sie 'Nein', wenn die Tabelle vollstndig leer ist.(&n)(&n)(Anmerkung des Autors: Wenn die ersten 256 Zeilen und Spalten nicht leer sind,(&n)teilen Sie es mir bitte mit, denn das wre ein Programmfehler.)"
Rem en "The first 256 lines and columns of the current worksheet are empty.(&n)Would you like to create a PDF anyway?(&n)Select 'NO' if the worksheet is completely empty.(&n)(&n)(Author comment:  If the first 256 lines and columns are not empty, (&n)tell me please, because that would be a program error.)"
Rem xx

'Alle Texte der Funktion fbPSDatei_erzeugen
'------------------------------------------
Public sMSG_PSDATEIMITKOMMA As String
Rem de "Die Postscript-Datei '(&1=Dateiname)' konnte nicht erzeugt werden oder sie ist leer.(&n)Bei einigen Microsoft-Betriebssystemen darf das Verzeichnis und der Dateiname kein Komma enthalten. Versuchen Sie es erneut mit einem Verzeichnis- und Dateinamen ohne Komma."
Rem en "The Postscript file '(&1)' could not be created or it is empty.(&n)On some Microsoft operating systems the directory and file name may not contain commas. Try again without commas in the directory and file name."
Rem xx
Public sMSG_PSDATEINICHTERZEUGT As String
Rem de "Die Postscript-Datei '(&1=Dateiname)' konnte nicht erzeugt werden oder sie ist leer.(&n)Prfen Sie, ob der Drucker '(&2)' ein Postscript-Drucker ist und ob er richtig eingerichtet ist. "
Rem en "The Postscript file '(&1)' could not be created or it is empty.(&n)Check whether the printer '(&2)' is a Postscript printer and whether it is correctly configured."
Rem xx
Public sMSG_PSDRUCKERUNBEKANNT As String
Rem de "Der Drucker '(&1=Druckername)'ist unbekannt oder der Anschluss (Port) des Druckers konnte nicht ermittelt werden.(&n)Prfen Sie den Postscript-Drucker im Men 'PDF > Konfigurieren > Programme' und versuchen Sie es erneut. Wenn das nicht hilft, ndern Sie im Men 'Datei > Drucken' den eingestellten Drucker auf einen Drucker an einem anderen Anschluss.(&n)Wenn diese Fehlermeldung danach immer noch auftritt, wenden Sie sich an den Autor."
Rem en "The printer '(&1)' is not recognised or the printer port could not be opened.(&n)Check the Postscript printer in  'PDF > Configure > Program' and try again. If that doesnt help, change printer using  'File > Print' to a printer with a different port.(&n)If that doesnt help please notify the author."
Rem xx

Function fbXLS_SprachtexteErzeugen(sSprachcode As String, sInstVerzeichnis As String) As Boolean
'Dieser Code fr alle Sprachen wurde generiert. Er wird bei der nchsten Generierung wieder berschrieben.
Dim iDateinummer As Integer
iDateinummer = FreeFile
Open sInstVerzeichnis & sKONFIGDIR & sSprachcode & sTXT For Input Access Read Shared As #iDateinummer
Dim lZaehler As Long
Dim sZeile As String
For lZaehler = 1 To 154
Line Input #iDateinummer, sZeile
Next lZaehler
Line Input #iDateinummer, sVORLAGE_BUTTON_CAPTION
Line Input #iDateinummer, sVORLAGE_BUTTON_TOOLTIPTEXT
Line Input #iDateinummer, sVORLAGE_MENU_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_ERZEUGEN_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_INFO_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_KONFIGURIEREN_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_DOKUMENTATION_CAPTION
Line Input #iDateinummer, sVORLAGE_MENU_MAILTO_CAPTION
Line Input #iDateinummer, sTITEL_VORLAGEANPASSEN
Line Input #iDateinummer, sMSG_KONFIGUNVOLLSTAENDIG
Line Input #iDateinummer, sMSG_OFFICEDATEINICHTGESPEICHERT
Line Input #iDateinummer, sMSG_KEINEOFFICEDATEI
Line Input #iDateinummer, sMSG_EXCELTABELLEISTLEER
Line Input #iDateinummer, sMSG_EXCELTABELLEWAHRSCHEINLICHLEER
Line Input #iDateinummer, sMSG_PSDATEIMITKOMMA
Line Input #iDateinummer, sMSG_PSDATEINICHTERZEUGT
Line Input #iDateinummer, sMSG_PSDRUCKERUNBEKANNT
Close #iDateinummer
fbXLS_SprachtexteErzeugen = True
End Function
